
Redmine - Defect #4782

Redmine tries to update database for archived projects

2010-02-09 10:25 - Mikhail Tcishewsky

Status: Closed Start date: 2010-02-09

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: SCM Estimated time: 0.00 hour

Target version: 0.9.3   

Resolution: Fixed Affected version: 0.9.1

Description

Hi guys, it seems that I have problem.

When I start this command:

$ ruby script/runner "Repository.fetch_changesets" -e production

 I got such error messages:

svn: Server sent unexpected return value (403 Forbidden) in response to OPTIONS request for 'https

://svn.some-projects.com/some-project/qwe/asd'

svn: Server sent unexpected return value (403 Forbidden) in response to OPTIONS request for 'https

://svn.some-projects.com/some-project/CustomChannels'

 This repositories was disabled but projects which contained this repositories was already in archive.

This problem was solved only when I unarchived those projects and delete inactive repositories.

It seems to me that when project in archive Redmine should not access to their repositories.

Redmine 0.9.1

svn, version 1.6.5

Associated revisions

Revision 3402 - 2010-02-09 19:42 - Jean-Philippe Lang

Fixed: Repository.fetch_changesets tries to fetch changesets for archived projects (#4782).

History

#1 - 2010-02-09 19:34 - Jean-Philippe Lang

- Status changed from New to Resolved

- Target version set to 0.9.3

- Resolution set to Fixed

Fixed in r3402.

#2 - 2010-02-14 16:50 - Jean-Philippe Lang

- Status changed from Resolved to Closed

Merged in 0.9-stable in r3431.
